explain_mmap_or_die(3)

NAME
explain_mmap_or_die - map file or device into memory and report errors
    "map file or device into memory and report errors"

SYNOPSIS
#include <libexplain/mmap.h>

void *explain_mmap_or_die(void *data, size_t data_size, int prot, int flags, int fildes, off_t offset);
void *explain_mmap_on_error(void *data, size_t data_size, int prot, int flags, int fildes, off_t offset);

DESCRIPTION
The explain_mmap_or_die function is used to call the mmap(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_mmap(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_mmap_on_error function is used to call the mmap(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_mmap(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the mmap(2) system call.

data_size
    The data_size, exactly as to be passed to the mmap(2) system call.

prot
    The prot, exactly as to be passed to the mmap(2) system call.

flags
    The flags, exactly as to be passed to the mmap(2) system call.

fildes
    The fildes, exactly as to be passed to the mmap(2) system call.

offset
    The offset, exactly as to be passed to the mmap(2) system call.

RETURN VALUE
The explain_mmap_or_die function only returns on success, see mmap(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_mmap_on_error function always returns the value return by the wrapped mmap(2) system call.

EXAMPLE
The explain_mmap_or_die function is intended to be used in a fashion similar to the following example:
    explain_mmap_or_die(data, data_size, prot, flags, fildes, offset);

SEE ALSO

mmap(2)
    map file or device into memory

explain_mmap(3)
    explain mmap(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller